SDL_GetTouchDevices(3)

NAME
SDL_GetTouchDevices - Get a list of registered touch devices.

SYNOPSIS
#include <SDL3/SDL_touch.h>

SDL_TouchID * SDL_GetTouchDevices(int *count);

DESCRIPTION
On some platforms SDL first sees the touch device if it was actually used. Therefore the returned list might be empty, although devices are available. After using all devices at least once the number will be correct.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of devices returned, may be NULL.

RETURN VALUE
Returns a 0 terminated array of touch device IDs or NULL on failure; call SDL_GetError() for more information. This should be freed with SDL_free() when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.